org.bdgenomics.adam

# serialization

#### package serialization

Visibility

1. Public
2. All

### Type Members

1. #### class ADAMKryoRegistrator extends KryoRegistrator with Logging

2. #### class AvroSerializer[T <: SpecificRecord] extends Serializer[T]

3. #### case class InputStreamWithDecoder(size: Int) extends Product with Serializable

4. #### class WritableSerializer[T <: Writable] extends Serializer[T]

   A Kryo serializer for Hadoop writables.

   A Kryo serializer for Hadoop writables.

   Lifted from the Apache Spark user email list (http://apache-spark-user-list.1001560.n3.nabble.com/Hadoop-Writable-and-Spark-serialization-td5721.html) which indicates that it was originally copied from Shark itself, back when Spark 0.9 was the state of the art.

   T

     The class to serialize, which implements the Writable interface.

### Ungrouped